import 'package:flutter/material.dart';
import 'package:jobportal/data/jobseeker.dart';
import 'package:jobportal/logic/fetch.dart';
import '../../widgets/applicants_widget.dart';

// ignore: must_be_immutable
class ShowApplicantsScreen extends StatefulWidget {
  String id;
  String jobName;
  ShowApplicantsScreen({super.key, required this.id, required this.jobName});
  @override
  State<ShowApplicantsScreen> createState() => _ShowApplicantsScreenState();
}

class _ShowApplicantsScreenState extends State<ShowApplicantsScreen> {
  Future<List<Jobseeker>>? _futureJobseekers;

  @override
  void initState() {
    print("1");
    _futureJobseekers = Fetch.getAllApplicants(widget.id);
    super.initState();
  }

  @override
  Widget build(BuildContext context) {
    print("2");
    return SafeArea(
        child: Scaffold(
            backgroundColor: Colors.grey.shade300,
            appBar: AppBar(
              actions: [
                Padding(
                  padding: const EdgeInsets.only(right: 8.0),
                  child: Row(
                    mainAxisAlignment: MainAxisAlignment.end,
                    children: [
                      IconButton(
                        icon: const Icon(
                          Icons.search,
                          size: 25,
                          color: Colors.black,
                        ),
                        onPressed: () {
                          // Navigator.push(
                          //     context,
                          //     MaterialPageRoute(
                          //         builder: (context) =>
                          //             SearchForApplicantScreen(
                          //                 id: widget.id,
                          //                 companyId: widget.companyId)));
                        },
                      ),
                    ],
                  ),
                ),
              ],
              leading: IconButton(
                icon: const Icon(
                  Icons.close,
                  size: 25,
                  color: Colors.black,
                ),
                onPressed: () {
                  Navigator.pop(context);
                },
              ),
              backgroundColor: Colors.orange,
              title: const Text("Job Applicants"),
              centerTitle: true,
            ),
            body: FutureBuilder(
              future: _futureJobseekers,
              builder: (context, snapshot) {
                if (snapshot.hasData) {
                  print(snapshot.data);
                  List<Jobseeker>? jobseekers = snapshot.data;
                  return ListView.builder(
                    itemCount: jobseekers!.length,
                    itemBuilder: (context, index) {
                      Jobseeker jobseeker = jobseekers[index];
                      return ApplicantsWidget(
                        jobseeker: jobseeker,
                        jobId: widget.id,
                        jobName: widget.jobName,
                      );
                    },
                  );
                } else {
                  return const Center(child: CircularProgressIndicator());
                }
              },
            )));
  }
}
